org.eclipse.jdt.debug.ui.launchConfigurations

## Class JavaLaunchTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

All Implemented Interfaces:
  IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2

Direct Known Subclasses:
  org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaClasspathTab, org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab, AppletParametersTab, JavaArgumentsTab, JavaJRETab, JavaSourceLookupTab

    public abstract class JavaLaunchTab
    extends AbstractLaunchConfigurationTab

Common function for Java launch configuration tabs.

Clients may subclass this class.

Since:
  3.2

### Constructor Summary

Constructors
Constructor and Description
`JavaLaunchTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IJavaElement` `getContext()` Returns the current Java element context in the active workbench page or `null` if none.
`protected ILaunchConfiguration` `getCurrentLaunchConfiguration()` Returns the launch configuration this tab was initialized from.
`protected void` `initializeAttributes()`
`void` `initializeFrom(ILaunchConfiguration config)`
`protected void` `initializeJavaProject(IJavaElement javaElement, ILaunchConfigurationWorkingCopy config)` Sets the Java project attribute on the given working copy to the Java project associated with the given Java element.

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getId, getImage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, isValid, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`createControl, getName, OkToLeaveTab, performApply, postApply, setDefaults`

### Constructor Detail

#### JavaLaunchTab

    public JavaLaunchTab()

### Method Detail

#### getContext

    protected IJavaElement getContext()

Returns the current Java element context in the active workbench page or `null` if none.

Returns:
  current Java element in the active page or `null`

#### getCurrentLaunchConfiguration

    protected ILaunchConfiguration getCurrentLaunchConfiguration()

Returns the launch configuration this tab was initialized from.

Returns:
  launch configuration this tab was initialized from

#### initializeJavaProject

    protected void initializeJavaProject(IJavaElement javaElement,
                                         ILaunchConfigurationWorkingCopy config)

Sets the Java project attribute on the given working copy to the Java project associated with the given Java element.

Parameters:
  `javaElement` - Java model element this tab is associated with
  `config` - configuration on which to set the Java project attribute

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

#### initializeAttributes

    protected void initializeAttributes()

Overrides:
  `initializeAttributes` in class `AbstractLaunchConfigurationTab`